package com.th.demo.service.system;

import com.th.demo.model.system.SysDepartment;

import java.util.List;

/**
 * Created by dell on 2017-07-07.
 */
public interface SysDepartmentService {
    int modify(SysDepartment dept);

//      int add(SysDepartment dept);

//      int remove(String id);

    String query(String deptName);

    String queryDeptTree();

    List<SysDepartment> queryByFid(String fid);

    SysDepartment queryById(String id);

    String save(String id, String fid, String deptName, String deptDesc, String userId);

    String remove(String id, String userId);
}
